Bug 166966 - Review Request: jam : Program construction tool, similar to make
Review Request: jam : Program construction tool, similar to make
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://public.perforce.com/public/jam...
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-29 00:01 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 05:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-29 00:01:04 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/jam.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/jam-2.5-1.src.rpm
Description: 
Jam is a program construction tool, like make. Jam recursively builds target
files from source files, using dependency information and updating actions
expressed in the Jambase file, which is written in jam's own interpreted
language. The default Jambase is compiled into jam and provides a boilerplate
for common use, relying on a user-provide file "Jamfile" to enumerate actual
targets and sources.
Comment 1 José Matos 2005-09-09 09:00:36 EDT
+ mock builds cleanly 
+ rpmlint does not complain 
+ name is OK 
+ license is OK 
+ spec file readable 
+ source is the same as upstream 
 
APPROVED 
 
Any reason to not compress the source file, other then to follow upstream? 
The source field could use %{name} and %{version}, no? All the versions in the 
ftp site follow the same pattern. 
 
Comment 2 José Matos 2005-09-09 09:26:36 EDT
Is there any reason not to use the smp_flag in make? 
 
This is really minor and it is a reminder, whatever you decide is OK with me. 
Usual discalaimer applies here...  
Comment 3 Tom "spot" Callaway 2005-09-09 18:34:02 EDT
I didn't compress the source file because upstream didn't. Really only saves
400K, which doesn't matter much. Disk is cheap. :)

Comment 4 José Matos 2006-08-29 04:55:36 EDT
Reopening bug to fix assignee.
Comment 5 José Matos 2006-08-29 05:01:15 EDT
Assignee fixed, closing again.

Note You need to log in before you can comment on or make changes to this bug.